| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper > Struct Template Reference

`#include <GaudiKernel/GrammarsV2.h>`

Inheritance diagram for Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >:
[legend]
Collaboration diagram for Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >:
[legend]

## Classes
struct | Operations
struct | tag_key
struct | tag_mapped

## Public Types
typedef MapT | ResultT
typedef MapT::key_type | KeyT
typedef MapT::mapped_type | MappedT
typedef std::pair< KeyT, MappedT > | PairT
typedef std::vector< PairT > | VectorPairT

## Public Member Functions
| MapGrammar ()

## Public Attributes
Grammar_< Iterator, typename MapT::key_type, Skipper >::Grammar | key
Grammar_< Iterator, typename MapT::mapped_type, Skipper >::Grammar | value
qi::rule< Iterator, PairT(), Skipper > | pair
qi::rule< Iterator, VectorPairT(), Skipper > | list
qi::rule< Iterator, ResultT(), Skipper > | map
ph::function< Operations > | op

## Detailed Description

### template<typename Iterator, typename MapT, typename Skipper>
struct Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >

Definition at line 362 of file GrammarsV2.h.

## Member Typedef Documentation

template<typename Iterator , typename MapT , typename Skipper >

typedef MapT::key_type Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::KeyT

Definition at line 365 of file GrammarsV2.h.

template<typename Iterator , typename MapT , typename Skipper >

typedef MapT::mapped_type Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::MappedT

Definition at line 366 of file GrammarsV2.h.

template<typename Iterator , typename MapT , typename Skipper >

typedef std::pair<KeyT, MappedT> Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::PairT

Definition at line 367 of file GrammarsV2.h.

template<typename Iterator , typename MapT , typename Skipper >

typedef MapT Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::ResultT

Definition at line 364 of file GrammarsV2.h.

template<typename Iterator , typename MapT , typename Skipper >

typedef std::vector<PairT> Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::VectorPairT

Definition at line 369 of file GrammarsV2.h.

## Constructor & Destructor Documentation

template<typename Iterator , typename MapT , typename Skipper >

Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::MapGrammar | ( |  | ) |
| inline

Definition at line 393 of file GrammarsV2.h.

393 : MapGrammar::base_type( map )
394 {
395 pair = key[op( qi::_val, qi::_1, tag_key() )] > ( qi::lit( ':' ) | '=' ) >
396 value[op( qi::_val, qi::_1, tag_mapped() )];
397 list = -( pair % enc::char_( ',' ) );
398 map = ( ( '[' >> list >> ']' ) | ( '{' >> list >> '}' ) )[op( qi::_val, qi::_1 )];
399 }
Gaudi::Parsers::MapGrammar::list
qi::rule< Iterator, VectorPairT(), Skipper > list
Definition: GrammarsV2.h:404
Gaudi::Parsers::MapGrammar::map
qi::rule< Iterator, ResultT(), Skipper > map
Definition: GrammarsV2.h:405
Gaudi::Parsers::MapGrammar::pair
qi::rule< Iterator, PairT(), Skipper > pair
Definition: GrammarsV2.h:403
Gaudi::Parsers::MapGrammar::key
Grammar_< Iterator, typename MapT::key_type, Skipper >::Grammar key
Definition: GrammarsV2.h:401
Gaudi::Parsers::MapGrammar::op
ph::function< Operations > op
Definition: GrammarsV2.h:406
Gaudi::Parsers::MapGrammar::value
Grammar_< Iterator, typename MapT::mapped_type, Skipper >::Grammar value
Definition: GrammarsV2.h:402

## Member Data Documentation

template<typename Iterator , typename MapT , typename Skipper >

Grammar_<Iterator, typename MapT::key_type, Skipper>::Grammar Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::key

Definition at line 401 of file GrammarsV2.h.

template<typename Iterator , typename MapT , typename Skipper >

qi::rule<Iterator, VectorPairT(), Skipper> Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::list

Definition at line 404 of file GrammarsV2.h.

template<typename Iterator , typename MapT , typename Skipper >

qi::rule<Iterator, ResultT(), Skipper> Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::map

Definition at line 405 of file GrammarsV2.h.

template<typename Iterator , typename MapT , typename Skipper >

ph::function<Operations> Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::op

Definition at line 406 of file GrammarsV2.h.

template<typename Iterator , typename MapT , typename Skipper >

qi::rule<Iterator, PairT(), Skipper> Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::pair

Definition at line 403 of file GrammarsV2.h.

template<typename Iterator , typename MapT , typename Skipper >

Grammar_<Iterator, typename MapT::mapped_type, Skipper>::Grammar Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::value

Definition at line 402 of file GrammarsV2.h.

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/GrammarsV2.h